package com.smppw.modaq.application.components.report.parser;

import cn.hutool.core.map.MapUtil;
import com.smppw.modaq.common.enums.ReportParserFileType;
import com.smppw.modaq.common.enums.ReportType;

import java.util.Map;

/**
 * @author wangzaijun
 * @date 2024/9/29 13:39
 * @description 报告解析的bean名称关系配置
 */
public final class ReportParserConstant {
    public static final Map<ReportType, Map<ReportParserFileType, String>> REPORT_PARSER_BEAN_MAP = MapUtil.newHashMap(8);

    // 交易流水确认函解析
    public static final String PARSER_PDF_LETTER = "report-parser:pdf:letter";

    public static final String PARSER_PDF_MONTHLY = "report-parser:pdf:monthly";
    //    public static final String PARSER_WORD_MONTHLY = "report-parser:word:monthly";
    public static final String PARSER_EXCEL_MONTHLY = "report-parser:excel:monthly";
//    public static final String PARSER_PYTHON_MONTHLY = "report-parser:python:monthly";

    public static final String PARSER_PDF_QUARTERLY = "report-parser:pdf:quarterly";
//    public static final String PARSER_WORD_QUARTERLY = "report-parser:word:quarterly";
    public static final String PARSER_EXCEL_QUARTERLY = "report-parser:excel:quarterly";
//    public static final String PARSER_PYTHON_QUARTERLY = "report-parser:python:quarterly";
//
    public static final String PARSER_PDF_ANNUALLY = "report-parser:pdf:annually";
//    public static final String PARSER_WORD_ANNUALLY = "report-parser:word:annually";
    public static final String PARSER_EXCEL_ANNUALLY = "report-parser:excel:annually";
//    public static final String PARSER_PYTHON_ANNUALLY = "report-parser:python:annually";

    static {
        // 交易流水确认函解析
        REPORT_PARSER_BEAN_MAP.put(ReportType.LETTER, Map.of(ReportParserFileType.PDF, PARSER_PDF_LETTER));

        REPORT_PARSER_BEAN_MAP.put(ReportType.MONTHLY,
                Map.of(ReportParserFileType.PDF, PARSER_PDF_MONTHLY,
//                        ReportParserFileType.WORD, PARSER_WORD_MONTHLY,
                        ReportParserFileType.EXCEL, PARSER_EXCEL_MONTHLY

//                        ReportParserFileType.PYTHON, PARSER_PYTHON_MONTHLY
                ));

        REPORT_PARSER_BEAN_MAP.put(ReportType.QUARTERLY,
                Map.of(ReportParserFileType.PDF, PARSER_PDF_QUARTERLY,
//                        ReportParserFileType.WORD, PARSER_WORD_QUARTERLY,
                        ReportParserFileType.EXCEL, PARSER_EXCEL_QUARTERLY

//                        ReportParserFileType.PYTHON, PARSER_PYTHON_QUARTERLY
                ));

        REPORT_PARSER_BEAN_MAP.put(ReportType.ANNUALLY,
                Map.of(ReportParserFileType.PDF, PARSER_PDF_ANNUALLY,
//                        ReportParserFileType.WORD, PARSER_WORD_ANNUALLY,
                        ReportParserFileType.EXCEL, PARSER_EXCEL_ANNUALLY

//                        ReportParserFileType.PYTHON, PARSER_PYTHON_ANNUALLY
                ));
    }
}
